Bug 209895 - astro/josm: Update to 10301, add desktop file and a png logo
Summary: astro/josm: Update to 10301, add desktop file and a png logo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-31 15:05 UTC by Boris Samorodov
Modified: 2016-11-24 14:51 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments
Update to a new version 10301 (2.45 KB, patch)
2016-05-31 15:05 UTC, Boris Samorodov
no flags Details | Diff
A png logo file (11.06 KB, image/png)
2016-05-31 15:07 UTC, Boris Samorodov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2016-05-31 15:05:24 UTC
Created attachment 170872 [details]
Update to a new version 10301

. update to a new "tested" version 10301;
. add a desktop file (modified version of JNLP version);
. add a png logo (taken from JNLP version).
Comment 1 Boris Samorodov freebsd_committer 2016-05-31 15:07:03 UTC
Created attachment 170873 [details]
A png logo file

This logo file should be placed to FILESDIR.
Comment 2 commit-hook freebsd_committer 2016-06-03 16:53:59 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Jun  3 16:53:27 UTC 2016
New revision: 416325
URL: https://svnweb.freebsd.org/changeset/ports/416325

Log:
  - Update to 10301

  PR:		209895
  Submitted by:	bsam

Changes:
  head/astro/josm/Makefile
  head/astro/josm/distinfo
Comment 3 Dmitry Marakasov freebsd_committer 2016-06-03 16:56:22 UTC
Update committed, other changes need more work:
- Repository won't be polluted with binary files, icon should be downloaded from somewhere or extracted from the .jar
- .desktop file should be handled with DESKTOP_ENTRIES, it's simpler and cleaner
- It doesn't need INSTALLS_ICONS
Comment 4 commit-hook freebsd_committer 2016-11-24 14:51:26 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Nov 24 14:50:36 UTC 2016
New revision: 427020
URL: https://svnweb.freebsd.org/changeset/ports/427020

Log:
  - Update java version requirement
  - Install icon and .desktop file

  PR:		209895

Changes:
  head/astro/josm/Makefile